Commit 1893694e authored by Dmitry Antipov's avatar Dmitry Antipov
Browse files

* xterm.c (handle_one_xevent): Do not call to x_clear_area

if GTK >= 2.7.0.
parent 19452b86
......@@ -5,6 +5,8 @@
(fn_g_type_init) [!WINDOWSNT]: Define only if Glib < 2.36.0.
* xsettings.c (init_gconf, init_gsettings): Do not check
for g_type_init.
* xterm.c (handle_one_xevent): Do not call to x_clear_area
if GTK >= 2.7.0.
2013-09-16 Jan Djärv <jan.h.d@swipnet.se>
......
......@@ -6151,7 +6151,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
f = x_window_to_frame (dpyinfo, event->xexpose.window);
if (f)
{
#ifdef USE_GTK
#if ! GTK_CHECK_VERSION (2, 7, 0)
/* This seems to be needed for GTK 2.6. */
x_clear_area (event->xexpose.display,
event->xexpose.window,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment